cancel
Showing results for 
Search instead for 
Did you mean: 

Magento 2.2.4 CLI upgrade fails

SOLVED

Magento 2.2.4 CLI upgrade fails

Hi Magento,

 

Any obvious reason below why I cannot upgrade Magento Open Source 2.2.3 to Magento Open Source 2.2.4?

 

Actions:

composer require magento/product-community-edition 2.2.4 --no-update

composer update

 

Result:

Loading composer repositories with package information
Updating dependencies (including require-dev)
Your requirements could not be resolved to an installable set of packages.

Problem 1
- The requested package magento/product-community-edition could not be found in any version, there may be a typo in the package name.

Potential causes:
- A typo in the package name
- The package is not available in a stable-enough version according to your minimum-stability setting
see <https://getcomposer.org/doc/04-schema.md#minimum-stability> for more details.

Read <https://getcomposer.org/doc/articles/troubleshooting.md> for further common problems.

 

1 REPLY

Re: Magento 2.2.4 CLI upgrade fails

You need to just change composer.json file with two lines,

Edit composer.json file from your magento root instance,

Change version

"version": "2.2.3" with "version": "2.2.4",

Second change under require,

 "magento/product-community-edition": "2.2.3" to    "magento/product-community-edition": "2.2.4",

Now run command from root of SSH,

composer update

After completed update run below command to see changes of Version 2.2.4

php bin/magento setup:upgrade && php bin/magento setup:static-content:deploy -f && php bin/magento cache:flush
If Issue Solved, Click Kudos/Accept As solutions.